subset,topo-method {oce} | R Documentation

## Subset a Topo Object

### Description

This function is somewhat analogous to `subset.data.frame`. Subsetting can be by `time` or `distance`, but these may not be combined; use a sequence of calls to subset by both.

### Usage

    ## S4 method for signature 'topo'
    subset(x, subset, ...)

### Arguments

`x` | A `topo` object, i.e. inheriting from `topo-class`.
`subset` | A condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | Ignored.

### Value

A new `topo-class` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `topo` data: `[[,topo-method`, `[[<-,topo-method`, `as.topo`, `download.topo`, `plot,topo-method`, `read.topo`, `summary,topo-method`, `topo-class`, `topoInterpolate`, `topoWorld`

### Examples

    ## northern hemisphere
    library(oce)
    data(topoWorld)
    plot(subset(topoWorld, latitude > 0))

[Package oce version 0.9-20 Index]